package org.too;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

@RestController
public class GetAllDMNNames {
  @GetMapping("/getAllDMNNames")
  public static List<String> getAllDMNNames() {
    List<String> allDMNNames = new ArrayList<String>();

    for (File file : new File("./src/main/resources/dmn/").listFiles()) {
      if (file.isFile()) {
        allDMNNames.add(file.getName().split("\\.")[0]);
      }
    }

    return allDMNNames;
  }
}
